Node tool duplicates nodes instead of moving

2015-09-30 08:05 AM - Piotr Kania

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21513

Description

Hi!

I'm on win 7sp1 x64, OSGeo4W64 - qgis-dev-2.11, QGIS code revision fea4ed9. In some situations (moving common vertices of two

features-> active is "Enable topological editing") when I use "Node tool" and try to move selected vertex it just add new vertex, you can

see what I mean on film (it's better to download movie file and watch directly on computer, than through dropbox player, the mp4 file has

than better resolution):

https://www.dropbox.com/s/6tiwedihce3teoc/clip.mp4?dl=0

I know that it happens when in "Snapping options" ("snapping mode - advanced") I set for edited layer - snapping to vertices and segment

or just to segment, if snapping is set just to vertices everything is ok.

The last qgis version 2.11.0-Master in which "Node tool" works great is - QGIS code revision - f3c7d85, it was released 11 sept. 2015, all

versions later have worse "working mode" of "Node tool".

Associated revisions

Revision 910dc169 - 2015-10-09 02:53 PM - Nyall Dawson

Fix node tool duplicates nodes when topological editing and

snap are both enabled (fix #13466)

History

#1 - 2015-09-30 08:53 AM - Saber Razmjooei

- Category set to Digitising

- Priority changed from Normal to Severe/Regression

#2 - 2015-09-30 08:56 AM - Saber Razmjooei

- Subject changed from Bad work of "Node tool" to Node tool duplicates nodes instead of moving

Confirmed in master.

Please consider giving your bugs unique and descriptive subject. There are already other couple of tickets with the same subject!

#3 - 2015-10-09 05:53 AM - Nyall Dawson

- Status changed from Open to Closed
https://www.dropbox.com/s/6tiwedihce3teoc/clip.mp4?dl=0


Fixed in changeset commit:"910dc169ba376e791aca743926cc5093e8b52cc8".

#4 - 2015-10-09 12:41 PM - Piotr Kania

Thanks, editing is better than in arcmap:)

#5 - 2015-10-09 03:46 PM - Nyall Dawson

That's the goal! ;)

#6 - 2016-01-20 07:21 AM - Sergio Gollino

- Status changed from Closed to Reopened

- Target version set to Version 2.8.5

The problem it's still present in version 2.8.6

I'm on W7 and QGIS-OSGeo4W-2.8.6-1-Setup-x86_64

#7 - 2016-01-20 09:38 AM - Nyall Dawson

- Status changed from Reopened to Closed

Yes, this change wasn't suitable for back porting.
